NXOpen .NET Reference  12.0.0
Classes | Public Types | Public Member Functions | List of all members
NXOpen.UF.UFSo Class Reference

Contains wrappers for all 'UF_SO' functions and data types. More...

Inheritance diagram for NXOpen.UF.UFSo:

Classes

struct  _SplineData
 
struct  DirrOnSurfData
 Wrapper for UF_SO_dirr_on_surf_data_s More...
 
struct  OffsetCurveCvtrData
 Wrapper for UF_SO_offset_curve_cvtr_data_s More...
 
struct  OffsetSurfCvtrData
 Wrapper for UF_SO_offset_surf_cvtr_data_s More...
 
struct  SplineData
 Wrapper for UF_SO_spline_data_s More...
 

Public Types

enum  VisibilityOption
 Wrapper for UF_SO_visibility_option_e More...
 
enum  UpdateOption
 Wrapper for UF_SO_update_option_e More...
 
enum  DirrOnCurveOption
 Wrapper for UF_SO_dirr_on_curve_option_e More...
 
enum  PointAlongCurveOption
 Wrapper for UF_SO_point_along_curve_option_e More...
 
enum  ScalarDimOption
 Wrapper for UF_SO_scalar_dim_option_e More...
 

Public Member Functions

unsafe void Ask3ScalarsOfPoint (NXOpen.Tag so_point, out NXOpen.Tag[] scalars)
 Wrapper method for UF_SO_ask_3_scalars_of_point More...
 
void AskAssyCtxtPartOcc (NXOpen.Tag assy_context_xform, NXOpen.Tag to_part_occ, out NXOpen.Tag from_part_occ)
 Wrapper method for UF_SO_ask_assy_ctxt_part_occ More...
 
unsafe void AskChildren (NXOpen.Tag _object, int options, out int n_children, out NXOpen.Tag[] children)
 Wrapper method for UF_SO_ask_children More...
 
void AskDirectionOfAxis (NXOpen.Tag axis,[Out] double[] direction)
 Wrapper method for UF_SO_ask_direction_of_axis More...
 
void AskDirectionOfDirr (NXOpen.Tag direction,[Out] double[] dir)
 Wrapper method for UF_SO_ask_direction_of_dirr More...
 
void AskDirrOnSurf (NXOpen.Tag direction, out DirrOnSurfData dirr_on_surf_data)
 Wrapper method for UF_SO_ask_dirr_on_surf More...
 
void AskDisplayMarkerOfPoint (NXOpen.Tag point, out UFDisp.PolyMarker disp_marker)
 Wrapper method for UF_SO_ask_display_marker_of_point More...
 
void AskDoubleOfScalar (NXOpen.Tag scalar, out double dbl)
 Wrapper method for UF_SO_ask_double_of_scalar More...
 
void AskExpOfScalar (NXOpen.Tag scalar, out NXOpen.Tag exp)
 Wrapper method for UF_SO_ask_exp_of_scalar More...
 
void AskMatrixOfXform (NXOpen.Tag xform,[Out] double[] matrix)
 Wrapper method for UF_SO_ask_matrix_of_xform More...
 
void AskOffsetCurveCvtr (NXOpen.Tag curvature, out OffsetCurveCvtrData offset_curve_cvtr_data)
 Wrapper method for UF_SO_ask_offset_curve_cvtr More...
 
void AskOffsetOfOffset (NXOpen.Tag offset,[Out] double[] offset_vec)
 Wrapper method for UF_SO_ask_offset_of_offset More...
 
void AskOffsetSurfCvtr (NXOpen.Tag curvature, out OffsetSurfCvtrData offset_surf_cvtr_data)
 Wrapper method for UF_SO_ask_offset_surf_cvtr More...
 
void AskParentStatus (NXOpen.Tag so, out int parent_status)
 Wrapper method for UF_SO_ask_parent_status More...
 
unsafe void AskParents (NXOpen.Tag so, int options, out int n_parents, out NXOpen.Tag[] parents)
 Wrapper method for UF_SO_ask_parents More...
 
void AskPointOfAxis (NXOpen.Tag axis,[Out] double[] point)
 Wrapper method for UF_SO_ask_point_of_axis More...
 
void AskPointOfXform (NXOpen.Tag xform,[Out] double[] point)
 Wrapper method for UF_SO_ask_point_of_xform More...
 
void AskScaleOfXform (NXOpen.Tag xform, out double scale)
 Wrapper method for UF_SO_ask_scale_of_xform More...
 
unsafe void AskSpline (NXOpen.Tag spline, out SplineData spline_data)
 Wrapper method for UF_SO_ask_spline More...
 
void AskUpdateErrorCode (NXOpen.Tag so, out int update_error_code)
 Wrapper method for UF_SO_ask_update_error_code More...
 
void AskVisibilityOption (NXOpen.Tag so, out VisibilityOption visibility_option)
 Wrapper method for UF_SO_ask_visibility_option More...
 
void AskXDirectionOfXform (NXOpen.Tag xform,[Out] double[] x_direction)
 Wrapper method for UF_SO_ask_x_direction_of_xform More...
 
void AskYDirectionOfXform (NXOpen.Tag xform,[Out] double[] y_direction)
 Wrapper method for UF_SO_ask_y_direction_of_xform More...
 
void AskZDirectionOfXform (NXOpen.Tag xform,[Out] double[] z_direction)
 Wrapper method for UF_SO_ask_z_direction_of_xform More...
 
void CreateArcCenter2Pnts (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] points, out NXOpen.Tag arc)
 Wrapper method for UF_SO_create_arc_center_2_pnts More...
 
void CreateArcRadiusAngles (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag xform, NXOpen.Tag radius, NXOpen.Tag[] angles, out NXOpen.Tag arc)
 Wrapper method for UF_SO_create_arc_radius_angles More...
 
void CreateArcThreePoints (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] points, out NXOpen.Tag arc)
 Wrapper method for UF_SO_create_arc_three_points More...
 
void CreateArcXform2Points (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag xform, NXOpen.Tag[] points, out NXOpen.Tag arc)
 Wrapper method for UF_SO_create_arc_xform_2_points More...
 
void CreateAxisDoubles (NXOpen.Tag object_in_part, UpdateOption update_option, double[] point, double[] direction, out NXOpen.Tag axis)
 Wrapper method for UF_SO_create_axis_doubles More...
 
void CreateAxisExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag axis, NXOpen.Tag xform, out NXOpen.Tag axis2)
 Wrapper method for UF_SO_create_axis_extract More...
 
void CreateAxisPointDir (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point, NXOpen.Tag direction, out NXOpen.Tag axis)
 Wrapper method for UF_SO_create_axis_point_dir More...
 
void CreateBcurveThruPoints (UpdateOption update_option, int num_of_points, NXOpen.Tag[] points, ref double point_parameters, int degree, int periodic, NXOpen.Tag start_slope, NXOpen.Tag end_slope, int start_slope_type, int end_slope_type, out NXOpen.Tag bcurve)
 Wrapper method for UF_SO_create_bcurve_thru_points More...
 
void CreateCurveExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag curve1, int type, int subtype, NXOpen.Tag xform, out NXOpen.Tag curve2)
 Wrapper method for UF_SO_create_curve_extract More...
 
void CreateDirrAxisOfConic (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag conic, bool flip, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_axis_of_conic More...
 
void CreateDirrDoubles (NXOpen.Tag object_in_part, UpdateOption update_option, double[] direction, out NXOpen.Tag dirr)
 Wrapper method for UF_SO_create_dirr_doubles More...
 
void CreateDirrDoublesPnt (NXOpen.Tag object_in_part, UpdateOption update_option, double[] point, double[] direction, out NXOpen.Tag dirr)
 Wrapper method for UF_SO_create_dirr_doubles_pnt More...
 
void CreateDirrExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag dir, NXOpen.Tag xform, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_extract More...
 
void CreateDirrLine (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag line, bool flip, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_line More...
 
void CreateDirrNormalToSurfacePoint (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag face, NXOpen.Tag point, bool flip, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_normal_to_surface_point More...
 
void CreateDirrOnCurve (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag curve, NXOpen.Tag t, DirrOnCurveOption option, bool flip, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_on_curve More...
 
void CreateDirrOnSurf (NXOpen.Tag object_in_part, UpdateOption update_option, ref DirrOnSurfData dirr_on_surf_data, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_on_surf More...
 
void CreateDirrPlane (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag plane, bool flip, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_plane More...
 
void CreateDirrSurfaceAxis (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag conic, bool flip, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_surface_axis More...
 
void CreateDirrTwoDirs (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] directions, out NXOpen.Tag direction)
 Wrapper method for UF_SO_create_dirr_two_dirs More...
 
void CreateDirrTwoPoints (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] points, out NXOpen.Tag dirr)
 Wrapper method for UF_SO_create_dirr_two_points More...
 
void CreateLineTwoPoints (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] points, out NXOpen.Tag line)
 Wrapper method for UF_SO_create_line_two_points More...
 
void CreateOffset3Scalars (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] xyz, out NXOpen.Tag offset)
 Wrapper method for UF_SO_create_offset_3_scalars More...
 
void CreateOffsetCurveCvtr (NXOpen.Tag object_in_part, UpdateOption update_option, ref OffsetCurveCvtrData offset_curve_cvtr_data, out NXOpen.Tag curvature)
 Wrapper method for UF_SO_create_offset_curve_cvtr More...
 
void CreateOffsetCylindrical (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag radius, NXOpen.Tag angle, NXOpen.Tag zdelta, out NXOpen.Tag offset)
 Wrapper method for UF_SO_create_offset_cylindrical More...
 
void CreateOffsetDirDist (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag direction, NXOpen.Tag distance, out NXOpen.Tag offset)
 Wrapper method for UF_SO_create_offset_dir_dist More...
 
void CreateOffsetDouble (NXOpen.Tag object_in_part, UpdateOption update_option, double[] offset1, out NXOpen.Tag offset2)
 Wrapper method for UF_SO_create_offset_double More...
 
void CreateOffsetDoublePnt (NXOpen.Tag object_in_part, UpdateOption update_option, double[] point, double[] offset1, out NXOpen.Tag offset2)
 Wrapper method for UF_SO_create_offset_double_pnt More...
 
void CreateOffsetExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag offset1, NXOpen.Tag xform, out NXOpen.Tag offset2)
 Wrapper method for UF_SO_create_offset_extract More...
 
void CreateOffsetSpherical (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag radius, NXOpen.Tag angle1, NXOpen.Tag angle2, out NXOpen.Tag offset)
 Wrapper method for UF_SO_create_offset_spherical More...
 
void CreateOffsetSurfCvtr (NXOpen.Tag object_in_part, UpdateOption update_option, ref OffsetSurfCvtrData offset_surf_cvtr_data, out NXOpen.Tag curvature)
 Wrapper method for UF_SO_create_offset_surf_cvtr More...
 
void CreatePoint3Scalars (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] xyz, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_3_scalars More...
 
void CreatePoint3ScalarsCsys (NXOpen.Tag object_in_part, NXOpen.Tag csys_tag, NXOpen.Tag[] xyz, UpdateOption update_option, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_3_scalars_csys More...
 
void CreatePointAlongCurve (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag curve, NXOpen.Tag point1, NXOpen.Tag t, PointAlongCurveOption option, bool flip, out NXOpen.Tag point2)
 Wrapper method for UF_SO_create_point_along_curve More...
 
void CreatePointConicCenter (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag conic, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_conic_center More...
 
void CreatePointExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point1, NXOpen.Tag xform, out NXOpen.Tag point2)
 Wrapper method for UF_SO_create_point_extract More...
 
void CreatePointExtractWithDispMarker (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point1, NXOpen.Tag xform, UFDisp.PolyMarker disp_marker, out NXOpen.Tag point2)
 Wrapper method for UF_SO_create_point_extract_with_disp_marker More...
 
void CreatePointOffset (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag base_point, NXOpen.Tag offset, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_offset More...
 
void CreatePointOnArcAngle (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag arc, NXOpen.Tag angle, NXOpen.Tag xform, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_on_arc_angle More...
 
void CreatePointOnAxis (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag ref_point, NXOpen.Tag axis, out NXOpen.Tag point_on_axis)
 Wrapper method for UF_SO_create_point_on_axis More...
 
void CreatePointOnCurve (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag curve, NXOpen.Tag t, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_on_curve More...
 
void CreatePointOnSurface (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag face, NXOpen.Tag u, NXOpen.Tag v, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_on_surface More...
 
void CreatePointSurfaceCrv (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag face, NXOpen.Tag curve, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_surface_crv More...
 
void CreatePointTwoCurves (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag curve1, NXOpen.Tag curve2, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point)
 Wrapper method for UF_SO_create_point_two_curves More...
 
void CreateScalarDist2Pnts (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag[] points, out NXOpen.Tag scalar)
 Wrapper method for UF_SO_create_scalar_dist_2_pnts More...
 
void CreateScalarDouble (NXOpen.Tag object_in_part, UpdateOption update_option, double dbl, out NXOpen.Tag scalar)
 Wrapper method for UF_SO_create_scalar_double More...
 
void CreateScalarDoubleDim (NXOpen.Tag object_in_part, UpdateOption update_option, double dbl, ScalarDimOption dim, out NXOpen.Tag scalar)
 Wrapper method for UF_SO_create_scalar_double_dim More...
 
void CreateScalarExp (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag exp, out NXOpen.Tag scalar)
 Wrapper method for UF_SO_create_scalar_exp More...
 
void CreateScalarExpDim (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag exp, ScalarDimOption dim, out NXOpen.Tag scalar)
 Wrapper method for UF_SO_create_scalar_exp_dim More...
 
void CreateScalarExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag scalar1, NXOpen.Tag scale, out NXOpen.Tag scalar2)
 Wrapper method for UF_SO_create_scalar_extract More...
 
void CreateScalarExtractDim (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag scalar1, NXOpen.Tag scale, ScalarDimOption dim, out NXOpen.Tag scalar2)
 Wrapper method for UF_SO_create_scalar_extract_dim More...
 
void CreateScalarLengthCrv (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag curve, out NXOpen.Tag scalar)
 Wrapper method for UF_SO_create_scalar_length_crv More...
 
unsafe void CreateSpline (UpdateOption update_option, ref SplineData spline_data, out NXOpen.Tag spline)
 Wrapper method for UF_SO_create_spline More...
 
void CreateXformAssyCtxt (NXOpen.Tag object_in_part, NXOpen.Tag from_part_occ, NXOpen.Tag to_part_occ, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_assy_ctxt More...
 
void CreateXformDoubles (NXOpen.Tag object_in_part, UpdateOption update_option, double[] point, double[] x_direction, double[] y_direction, double scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_doubles More...
 
void CreateXformExtract (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag xform1, NXOpen.Tag xform2, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_extract More...
 
void CreateXformOffsetXform (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag csys, NXOpen.Tag point0, NXOpen.Tag point1, NXOpen.Tag[] rot_scalar_tags, NXOpen.Tag scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_offset_xform More...
 
void CreateXformPntXyDirs (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point, NXOpen.Tag x_direction, NXOpen.Tag y_direction, NXOpen.Tag scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_pnt_xy_dirs More...
 
void CreateXformPntXzDirs (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point, NXOpen.Tag x_direction, NXOpen.Tag z_direction, NXOpen.Tag scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_pnt_xz_dirs More...
 
void CreateXformPntYzDirs (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point, NXOpen.Tag y_direction, NXOpen.Tag z_direction, NXOpen.Tag scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_pnt_yz_dirs More...
 
void CreateXformThreePlanes (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag plane0, NXOpen.Tag plane1, NXOpen.Tag plane2, NXOpen.Tag scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_three_planes More...
 
void CreateXformThreePoints (NXOpen.Tag object_in_part, UpdateOption update_option, NXOpen.Tag point0, NXOpen.Tag point1, NXOpen.Tag point2, NXOpen.Tag scale, out NXOpen.Tag xform)
 Wrapper method for UF_SO_create_xform_three_points More...
 
void DeleteNonDeletables (NXOpen.Tag part)
 Wrapper method for UF_SO_delete_non_deletables More...
 
void DeleteParms (NXOpen.Tag so)
 Wrapper method for UF_SO_delete_parms More...
 
void Display (NXOpen.Tag so, int view_option, int color_option, int color)
 Wrapper method for UF_SO_display More...
 
void DisplayParents (NXOpen.Tag so, int view_option, int color_option, int color)
 Wrapper method for UF_SO_display_parents More...
 
void HasBecomeDumb (NXOpen.Tag so, out bool has_become_dumb)
 Wrapper method for UF_SO_has_become_dumb More...
 
void IsAssyCtxtXform (NXOpen.Tag xform, out bool is_assy_xform)
 Wrapper method for UF_SO_is_assy_ctxt_xform More...
 
void IsOutOfDate (NXOpen.Tag so, out bool is_out_of_date)
 Wrapper method for UF_SO_is_out_of_date More...
 
void IsSo (NXOpen.Tag candidate, out bool is_so)
 Wrapper method for UF_SO_is_so More...
 
void IsSubclass (NXOpen.Tag candidate, out bool is_so)
 Wrapper method for UF_SO_is_subclass More...
 
void ReplaceParms (NXOpen.Tag old_so, NXOpen.Tag new_so)
 Wrapper method for UF_SO_replace_parms More...
 
void SetDirectionOfAxis (NXOpen.Tag axis, double[] new_direction)
 Wrapper method for UF_SO_set_direction_of_axis More...
 
void SetDirectionOfDirr (NXOpen.Tag direction, double[] dir)
 Wrapper method for UF_SO_set_direction_of_dirr More...
 
void SetDisplayMarkerOfPoint (NXOpen.Tag point, UFDisp.PolyMarker disp_marker)
 Wrapper method for UF_SO_set_display_marker_of_point More...
 
void SetDoubleOfScalar (NXOpen.Tag scalar, double dbl)
 Wrapper method for UF_SO_set_double_of_scalar More...
 
void SetOffsetOfOffset (NXOpen.Tag offset, double[] new_offset)
 Wrapper method for UF_SO_set_offset_of_offset More...
 
void SetPointOfAxis (NXOpen.Tag axis, double[] new_point)
 Wrapper method for UF_SO_set_point_of_axis More...
 
void SetPointOfXform (NXOpen.Tag xform, double[] point)
 Wrapper method for UF_SO_set_point_of_xform More...
 
void SetScaleOfXform (NXOpen.Tag xform, double scale)
 Wrapper method for UF_SO_set_scale_of_xform More...
 
void SetVisibilityOption (NXOpen.Tag so, VisibilityOption visibility_option)
 Wrapper method for UF_SO_set_visibility_option More...
 
void SetXyDirectionOfXform (NXOpen.Tag xform, double[] x_direction, double[] y_direction)
 Wrapper method for UF_SO_set_xy_direction_of_xform More...
 

Detailed Description

Contains wrappers for all 'UF_SO' functions and data types.

Member Enumeration Documentation

Wrapper for UF_SO_scalar_dim_option_e

Refer to UF_SO_scalar_dim_option_e for documentation
Mapping Help

Wrapper for UF_SO_update_option_e

Refer to UF_SO_update_option_e for documentation
Mapping Help

Wrapper for UF_SO_visibility_option_e

Refer to UF_SO_visibility_option_e for documentation
Mapping Help

Member Function Documentation

unsafe void NXOpen.UF.UFSo.Ask3ScalarsOfPoint ( NXOpen.Tag  so_point,
out NXOpen.Tag[]  scalars 
)

Wrapper method for UF_SO_ask_3_scalars_of_point

Refer to UF_SO_ask_3_scalars_of_point for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskAssyCtxtPartOcc ( NXOpen.Tag  assy_context_xform,
NXOpen.Tag  to_part_occ,
out NXOpen.Tag  from_part_occ 
)

Wrapper method for UF_SO_ask_assy_ctxt_part_occ

Refer to UF_SO_ask_assy_ctxt_part_occ for documentation
Mapping Help

License requirements:None

unsafe void NXOpen.UF.UFSo.AskChildren ( NXOpen.Tag  _object,
int  options,
out int  n_children,
out NXOpen.Tag[]  children 
)

Wrapper method for UF_SO_ask_children

Refer to UF_SO_ask_children for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskDirectionOfAxis ( NXOpen.Tag  axis,
[Out] double[]  direction 
)

Wrapper method for UF_SO_ask_direction_of_axis

Refer to UF_SO_ask_direction_of_axis for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskDirectionOfDirr ( NXOpen.Tag  direction,
[Out] double[]  dir 
)

Wrapper method for UF_SO_ask_direction_of_dirr

Refer to UF_SO_ask_direction_of_dirr for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskDirrOnSurf ( NXOpen.Tag  direction,
out DirrOnSurfData  dirr_on_surf_data 
)

Wrapper method for UF_SO_ask_dirr_on_surf

Refer to UF_SO_ask_dirr_on_surf for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskDisplayMarkerOfPoint ( NXOpen.Tag  point,
out UFDisp.PolyMarker  disp_marker 
)

Wrapper method for UF_SO_ask_display_marker_of_point

Refer to UF_SO_ask_display_marker_of_point for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskDoubleOfScalar ( NXOpen.Tag  scalar,
out double  dbl 
)

Wrapper method for UF_SO_ask_double_of_scalar

Refer to UF_SO_ask_double_of_scalar for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskExpOfScalar ( NXOpen.Tag  scalar,
out NXOpen.Tag  exp 
)

Wrapper method for UF_SO_ask_exp_of_scalar

Refer to UF_SO_ask_exp_of_scalar for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskMatrixOfXform ( NXOpen.Tag  xform,
[Out] double[]  matrix 
)

Wrapper method for UF_SO_ask_matrix_of_xform

Refer to UF_SO_ask_matrix_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskOffsetCurveCvtr ( NXOpen.Tag  curvature,
out OffsetCurveCvtrData  offset_curve_cvtr_data 
)

Wrapper method for UF_SO_ask_offset_curve_cvtr

Refer to UF_SO_ask_offset_curve_cvtr for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskOffsetOfOffset ( NXOpen.Tag  offset,
[Out] double[]  offset_vec 
)

Wrapper method for UF_SO_ask_offset_of_offset

Refer to UF_SO_ask_offset_of_offset for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskOffsetSurfCvtr ( NXOpen.Tag  curvature,
out OffsetSurfCvtrData  offset_surf_cvtr_data 
)

Wrapper method for UF_SO_ask_offset_surf_cvtr

Refer to UF_SO_ask_offset_surf_cvtr for documentation
Mapping Help

License requirements:None

unsafe void NXOpen.UF.UFSo.AskParents ( NXOpen.Tag  so,
int  options,
out int  n_parents,
out NXOpen.Tag[]  parents 
)

Wrapper method for UF_SO_ask_parents

Refer to UF_SO_ask_parents for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskParentStatus ( NXOpen.Tag  so,
out int  parent_status 
)

Wrapper method for UF_SO_ask_parent_status

Refer to UF_SO_ask_parent_status for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskPointOfAxis ( NXOpen.Tag  axis,
[Out] double[]  point 
)

Wrapper method for UF_SO_ask_point_of_axis

Refer to UF_SO_ask_point_of_axis for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskPointOfXform ( NXOpen.Tag  xform,
[Out] double[]  point 
)

Wrapper method for UF_SO_ask_point_of_xform

Refer to UF_SO_ask_point_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskScaleOfXform ( NXOpen.Tag  xform,
out double  scale 
)

Wrapper method for UF_SO_ask_scale_of_xform

Refer to UF_SO_ask_scale_of_xform for documentation
Mapping Help

License requirements:None

unsafe void NXOpen.UF.UFSo.AskSpline ( NXOpen.Tag  spline,
out SplineData  spline_data 
)

Wrapper method for UF_SO_ask_spline

Refer to UF_SO_ask_spline for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskUpdateErrorCode ( NXOpen.Tag  so,
out int  update_error_code 
)

Wrapper method for UF_SO_ask_update_error_code

Refer to UF_SO_ask_update_error_code for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskVisibilityOption ( NXOpen.Tag  so,
out VisibilityOption  visibility_option 
)

Wrapper method for UF_SO_ask_visibility_option

Refer to UF_SO_ask_visibility_option for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskXDirectionOfXform ( NXOpen.Tag  xform,
[Out] double[]  x_direction 
)

Wrapper method for UF_SO_ask_x_direction_of_xform

Refer to UF_SO_ask_x_direction_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskYDirectionOfXform ( NXOpen.Tag  xform,
[Out] double[]  y_direction 
)

Wrapper method for UF_SO_ask_y_direction_of_xform

Refer to UF_SO_ask_y_direction_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.AskZDirectionOfXform ( NXOpen.Tag  xform,
[Out] double[]  z_direction 
)

Wrapper method for UF_SO_ask_z_direction_of_xform

Refer to UF_SO_ask_z_direction_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateArcCenter2Pnts ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  points,
out NXOpen.Tag  arc 
)

Wrapper method for UF_SO_create_arc_center_2_pnts

Refer to UF_SO_create_arc_center_2_pnts for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateArcRadiusAngles ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  xform,
NXOpen.Tag  radius,
NXOpen.Tag[]  angles,
out NXOpen.Tag  arc 
)

Wrapper method for UF_SO_create_arc_radius_angles

Refer to UF_SO_create_arc_radius_angles for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateArcThreePoints ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  points,
out NXOpen.Tag  arc 
)

Wrapper method for UF_SO_create_arc_three_points

Refer to UF_SO_create_arc_three_points for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateArcXform2Points ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  xform,
NXOpen.Tag[]  points,
out NXOpen.Tag  arc 
)

Wrapper method for UF_SO_create_arc_xform_2_points

Refer to UF_SO_create_arc_xform_2_points for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateAxisDoubles ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double[]  point,
double[]  direction,
out NXOpen.Tag  axis 
)

Wrapper method for UF_SO_create_axis_doubles

Refer to UF_SO_create_axis_doubles for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateAxisExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  axis,
NXOpen.Tag  xform,
out NXOpen.Tag  axis2 
)

Wrapper method for UF_SO_create_axis_extract

Refer to UF_SO_create_axis_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateAxisPointDir ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point,
NXOpen.Tag  direction,
out NXOpen.Tag  axis 
)

Wrapper method for UF_SO_create_axis_point_dir

Refer to UF_SO_create_axis_point_dir for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateBcurveThruPoints ( UpdateOption  update_option,
int  num_of_points,
NXOpen.Tag[]  points,
ref double  point_parameters,
int  degree,
int  periodic,
NXOpen.Tag  start_slope,
NXOpen.Tag  end_slope,
int  start_slope_type,
int  end_slope_type,
out NXOpen.Tag  bcurve 
)

Wrapper method for UF_SO_create_bcurve_thru_points

Refer to UF_SO_create_bcurve_thru_points for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateCurveExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  curve1,
int  type,
int  subtype,
NXOpen.Tag  xform,
out NXOpen.Tag  curve2 
)

Wrapper method for UF_SO_create_curve_extract

Refer to UF_SO_create_curve_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrAxisOfConic ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  conic,
bool  flip,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_axis_of_conic

Refer to UF_SO_create_dirr_axis_of_conic for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrDoubles ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double[]  direction,
out NXOpen.Tag  dirr 
)

Wrapper method for UF_SO_create_dirr_doubles

Refer to UF_SO_create_dirr_doubles for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrDoublesPnt ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double[]  point,
double[]  direction,
out NXOpen.Tag  dirr 
)

Wrapper method for UF_SO_create_dirr_doubles_pnt

Refer to UF_SO_create_dirr_doubles_pnt for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  dir,
NXOpen.Tag  xform,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_extract

Refer to UF_SO_create_dirr_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrLine ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  line,
bool  flip,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_line

Refer to UF_SO_create_dirr_line for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrNormalToSurfacePoint ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  face,
NXOpen.Tag  point,
bool  flip,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_normal_to_surface_point

Refer to UF_SO_create_dirr_normal_to_surface_point for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrOnCurve ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  curve,
NXOpen.Tag  t,
DirrOnCurveOption  option,
bool  flip,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_on_curve

Refer to UF_SO_create_dirr_on_curve for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrOnSurf ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
ref DirrOnSurfData  dirr_on_surf_data,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_on_surf

Refer to UF_SO_create_dirr_on_surf for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrPlane ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  plane,
bool  flip,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_plane

Refer to UF_SO_create_dirr_plane for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrSurfaceAxis ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  conic,
bool  flip,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_surface_axis

Refer to UF_SO_create_dirr_surface_axis for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrTwoDirs ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  directions,
out NXOpen.Tag  direction 
)

Wrapper method for UF_SO_create_dirr_two_dirs

Refer to UF_SO_create_dirr_two_dirs for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateDirrTwoPoints ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  points,
out NXOpen.Tag  dirr 
)

Wrapper method for UF_SO_create_dirr_two_points

Refer to UF_SO_create_dirr_two_points for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateLineTwoPoints ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  points,
out NXOpen.Tag  line 
)

Wrapper method for UF_SO_create_line_two_points

Refer to UF_SO_create_line_two_points for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffset3Scalars ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  xyz,
out NXOpen.Tag  offset 
)

Wrapper method for UF_SO_create_offset_3_scalars

Refer to UF_SO_create_offset_3_scalars for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetCurveCvtr ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
ref OffsetCurveCvtrData  offset_curve_cvtr_data,
out NXOpen.Tag  curvature 
)

Wrapper method for UF_SO_create_offset_curve_cvtr

Refer to UF_SO_create_offset_curve_cvtr for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetCylindrical ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  radius,
NXOpen.Tag  angle,
NXOpen.Tag  zdelta,
out NXOpen.Tag  offset 
)

Wrapper method for UF_SO_create_offset_cylindrical

Refer to UF_SO_create_offset_cylindrical for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetDirDist ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  direction,
NXOpen.Tag  distance,
out NXOpen.Tag  offset 
)

Wrapper method for UF_SO_create_offset_dir_dist

Refer to UF_SO_create_offset_dir_dist for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetDouble ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double[]  offset1,
out NXOpen.Tag  offset2 
)

Wrapper method for UF_SO_create_offset_double

Refer to UF_SO_create_offset_double for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetDoublePnt ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double[]  point,
double[]  offset1,
out NXOpen.Tag  offset2 
)

Wrapper method for UF_SO_create_offset_double_pnt

Refer to UF_SO_create_offset_double_pnt for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  offset1,
NXOpen.Tag  xform,
out NXOpen.Tag  offset2 
)

Wrapper method for UF_SO_create_offset_extract

Refer to UF_SO_create_offset_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetSpherical ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  radius,
NXOpen.Tag  angle1,
NXOpen.Tag  angle2,
out NXOpen.Tag  offset 
)

Wrapper method for UF_SO_create_offset_spherical

Refer to UF_SO_create_offset_spherical for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateOffsetSurfCvtr ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
ref OffsetSurfCvtrData  offset_surf_cvtr_data,
out NXOpen.Tag  curvature 
)

Wrapper method for UF_SO_create_offset_surf_cvtr

Refer to UF_SO_create_offset_surf_cvtr for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePoint3Scalars ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  xyz,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_3_scalars

Refer to UF_SO_create_point_3_scalars for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePoint3ScalarsCsys ( NXOpen.Tag  object_in_part,
NXOpen.Tag  csys_tag,
NXOpen.Tag[]  xyz,
UpdateOption  update_option,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_3_scalars_csys

Refer to UF_SO_create_point_3_scalars_csys for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointAlongCurve ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  curve,
NXOpen.Tag  point1,
NXOpen.Tag  t,
PointAlongCurveOption  option,
bool  flip,
out NXOpen.Tag  point2 
)

Wrapper method for UF_SO_create_point_along_curve

Refer to UF_SO_create_point_along_curve for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointConicCenter ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  conic,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_conic_center

Refer to UF_SO_create_point_conic_center for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point1,
NXOpen.Tag  xform,
out NXOpen.Tag  point2 
)

Wrapper method for UF_SO_create_point_extract

Refer to UF_SO_create_point_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointExtractWithDispMarker ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point1,
NXOpen.Tag  xform,
UFDisp.PolyMarker  disp_marker,
out NXOpen.Tag  point2 
)

Wrapper method for UF_SO_create_point_extract_with_disp_marker

Refer to UF_SO_create_point_extract_with_disp_marker for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointOffset ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  base_point,
NXOpen.Tag  offset,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_offset

Refer to UF_SO_create_point_offset for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointOnArcAngle ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  arc,
NXOpen.Tag  angle,
NXOpen.Tag  xform,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_on_arc_angle

Refer to UF_SO_create_point_on_arc_angle for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointOnAxis ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  ref_point,
NXOpen.Tag  axis,
out NXOpen.Tag  point_on_axis 
)

Wrapper method for UF_SO_create_point_on_axis

Refer to UF_SO_create_point_on_axis for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointOnCurve ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  curve,
NXOpen.Tag  t,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_on_curve

Refer to UF_SO_create_point_on_curve for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointOnSurface ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  face,
NXOpen.Tag  u,
NXOpen.Tag  v,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_on_surface

Refer to UF_SO_create_point_on_surface for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointSurfaceCrv ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  face,
NXOpen.Tag  curve,
NXOpen.Tag  help_point1,
NXOpen.Tag  help_point2,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_surface_crv

Refer to UF_SO_create_point_surface_crv for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreatePointTwoCurves ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  curve1,
NXOpen.Tag  curve2,
NXOpen.Tag  help_point1,
NXOpen.Tag  help_point2,
out NXOpen.Tag  point 
)

Wrapper method for UF_SO_create_point_two_curves

Refer to UF_SO_create_point_two_curves for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarDist2Pnts ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag[]  points,
out NXOpen.Tag  scalar 
)

Wrapper method for UF_SO_create_scalar_dist_2_pnts

Refer to UF_SO_create_scalar_dist_2_pnts for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarDouble ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double  dbl,
out NXOpen.Tag  scalar 
)

Wrapper method for UF_SO_create_scalar_double

Refer to UF_SO_create_scalar_double for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarDoubleDim ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double  dbl,
ScalarDimOption  dim,
out NXOpen.Tag  scalar 
)

Wrapper method for UF_SO_create_scalar_double_dim

Refer to UF_SO_create_scalar_double_dim for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarExp ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  exp,
out NXOpen.Tag  scalar 
)

Wrapper method for UF_SO_create_scalar_exp

Refer to UF_SO_create_scalar_exp for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarExpDim ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  exp,
ScalarDimOption  dim,
out NXOpen.Tag  scalar 
)

Wrapper method for UF_SO_create_scalar_exp_dim

Refer to UF_SO_create_scalar_exp_dim for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  scalar1,
NXOpen.Tag  scale,
out NXOpen.Tag  scalar2 
)

Wrapper method for UF_SO_create_scalar_extract

Refer to UF_SO_create_scalar_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarExtractDim ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  scalar1,
NXOpen.Tag  scale,
ScalarDimOption  dim,
out NXOpen.Tag  scalar2 
)

Wrapper method for UF_SO_create_scalar_extract_dim

Refer to UF_SO_create_scalar_extract_dim for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateScalarLengthCrv ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  curve,
out NXOpen.Tag  scalar 
)

Wrapper method for UF_SO_create_scalar_length_crv

Refer to UF_SO_create_scalar_length_crv for documentation
Mapping Help

License requirements:None

unsafe void NXOpen.UF.UFSo.CreateSpline ( UpdateOption  update_option,
ref SplineData  spline_data,
out NXOpen.Tag  spline 
)

Wrapper method for UF_SO_create_spline

Refer to UF_SO_create_spline for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformAssyCtxt ( NXOpen.Tag  object_in_part,
NXOpen.Tag  from_part_occ,
NXOpen.Tag  to_part_occ,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_assy_ctxt

Refer to UF_SO_create_xform_assy_ctxt for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformDoubles ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
double[]  point,
double[]  x_direction,
double[]  y_direction,
double  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_doubles

Refer to UF_SO_create_xform_doubles for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformExtract ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  xform1,
NXOpen.Tag  xform2,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_extract

Refer to UF_SO_create_xform_extract for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformOffsetXform ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  csys,
NXOpen.Tag  point0,
NXOpen.Tag  point1,
NXOpen.Tag[]  rot_scalar_tags,
NXOpen.Tag  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_offset_xform

Refer to UF_SO_create_xform_offset_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformPntXyDirs ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point,
NXOpen.Tag  x_direction,
NXOpen.Tag  y_direction,
NXOpen.Tag  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_pnt_xy_dirs

Refer to UF_SO_create_xform_pnt_xy_dirs for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformPntXzDirs ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point,
NXOpen.Tag  x_direction,
NXOpen.Tag  z_direction,
NXOpen.Tag  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_pnt_xz_dirs

Refer to UF_SO_create_xform_pnt_xz_dirs for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformPntYzDirs ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point,
NXOpen.Tag  y_direction,
NXOpen.Tag  z_direction,
NXOpen.Tag  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_pnt_yz_dirs

Refer to UF_SO_create_xform_pnt_yz_dirs for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformThreePlanes ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  plane0,
NXOpen.Tag  plane1,
NXOpen.Tag  plane2,
NXOpen.Tag  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_three_planes

Refer to UF_SO_create_xform_three_planes for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.CreateXformThreePoints ( NXOpen.Tag  object_in_part,
UpdateOption  update_option,
NXOpen.Tag  point0,
NXOpen.Tag  point1,
NXOpen.Tag  point2,
NXOpen.Tag  scale,
out NXOpen.Tag  xform 
)

Wrapper method for UF_SO_create_xform_three_points

Refer to UF_SO_create_xform_three_points for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.DeleteNonDeletables ( NXOpen.Tag  part)

Wrapper method for UF_SO_delete_non_deletables

Refer to UF_SO_delete_non_deletables for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.DeleteParms ( NXOpen.Tag  so)

Wrapper method for UF_SO_delete_parms

Refer to UF_SO_delete_parms for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.Display ( NXOpen.Tag  so,
int  view_option,
int  color_option,
int  color 
)

Wrapper method for UF_SO_display

Refer to UF_SO_display for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.DisplayParents ( NXOpen.Tag  so,
int  view_option,
int  color_option,
int  color 
)

Wrapper method for UF_SO_display_parents

Refer to UF_SO_display_parents for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.HasBecomeDumb ( NXOpen.Tag  so,
out bool  has_become_dumb 
)

Wrapper method for UF_SO_has_become_dumb

Refer to UF_SO_has_become_dumb for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.IsAssyCtxtXform ( NXOpen.Tag  xform,
out bool  is_assy_xform 
)

Wrapper method for UF_SO_is_assy_ctxt_xform

Refer to UF_SO_is_assy_ctxt_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.IsOutOfDate ( NXOpen.Tag  so,
out bool  is_out_of_date 
)

Wrapper method for UF_SO_is_out_of_date

Refer to UF_SO_is_out_of_date for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.IsSo ( NXOpen.Tag  candidate,
out bool  is_so 
)

Wrapper method for UF_SO_is_so

Refer to UF_SO_is_so for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.IsSubclass ( NXOpen.Tag  candidate,
out bool  is_so 
)

Wrapper method for UF_SO_is_subclass

Refer to UF_SO_is_subclass for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.ReplaceParms ( NXOpen.Tag  old_so,
NXOpen.Tag  new_so 
)

Wrapper method for UF_SO_replace_parms

Refer to UF_SO_replace_parms for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetDirectionOfAxis ( NXOpen.Tag  axis,
double[]  new_direction 
)

Wrapper method for UF_SO_set_direction_of_axis

Refer to UF_SO_set_direction_of_axis for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetDirectionOfDirr ( NXOpen.Tag  direction,
double[]  dir 
)

Wrapper method for UF_SO_set_direction_of_dirr

Refer to UF_SO_set_direction_of_dirr for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetDisplayMarkerOfPoint ( NXOpen.Tag  point,
UFDisp.PolyMarker  disp_marker 
)

Wrapper method for UF_SO_set_display_marker_of_point

Refer to UF_SO_set_display_marker_of_point for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetDoubleOfScalar ( NXOpen.Tag  scalar,
double  dbl 
)

Wrapper method for UF_SO_set_double_of_scalar

Refer to UF_SO_set_double_of_scalar for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetOffsetOfOffset ( NXOpen.Tag  offset,
double[]  new_offset 
)

Wrapper method for UF_SO_set_offset_of_offset

Refer to UF_SO_set_offset_of_offset for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetPointOfAxis ( NXOpen.Tag  axis,
double[]  new_point 
)

Wrapper method for UF_SO_set_point_of_axis

Refer to UF_SO_set_point_of_axis for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetPointOfXform ( NXOpen.Tag  xform,
double[]  point 
)

Wrapper method for UF_SO_set_point_of_xform

Refer to UF_SO_set_point_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetScaleOfXform ( NXOpen.Tag  xform,
double  scale 
)

Wrapper method for UF_SO_set_scale_of_xform

Refer to UF_SO_set_scale_of_xform for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetVisibilityOption ( NXOpen.Tag  so,
VisibilityOption  visibility_option 
)

Wrapper method for UF_SO_set_visibility_option

Refer to UF_SO_set_visibility_option for documentation
Mapping Help

License requirements:None

void NXOpen.UF.UFSo.SetXyDirectionOfXform ( NXOpen.Tag  xform,
double[]  x_direction,
double[]  y_direction 
)

Wrapper method for UF_SO_set_xy_direction_of_xform

Refer to UF_SO_set_xy_direction_of_xform for documentation
Mapping Help

License requirements:None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.